.offers {
    padding: 40px 0;

    &__header {
        margin-bottom: 40px;

        &--content {
            margin-bottom: 40px;
        }

        &--title {
            margin-bottom: 24px;
        }

        &--value {
            font-weight: 700;
            font-size: size-rel(64px);
            line-height: size-rel(64px);
            margin-bottom: 12px;
        }

        &--label {
            font-weight: 600;
            font-size: size-rel(14px);
            line-height: size-rel(24px);
            margin-bottom: 12px;
        }

        strong {
            font-weight: 600;
        }
    }

    &__main {
        display: grid;
        grid-row-gap: 40px;
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(md) {

        &__header {
            display: grid;
            grid-column-gap: 24px;
            grid-template-columns: 1fr 1fr;

            &--content {
                margin-bottom: 0;
            }

            &--title {
                margin-bottom: 40px;
            }
        }

        &__main {
            grid-row-gap: 64px;
        }
    }

    @include media-breakpoint-up(lg) {
        padding-top: 160px;
        padding-bottom: 80px;

        &__header {
            margin-bottom: 64px;
            grid-column-gap: 64px;
            grid-template-columns: 656px 264px;

            &--label {
                margin-bottom: 40px;
                font-size: size-rel(20px);
                line-height: size-rel(32px);
            }

            &--info {
                font-size: size-rel(12px);
                line-height: size-rel(22px);
            }
        }

        &__main {
            display: grid;
            grid-column-gap: 40px;
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {

        &__header {
            grid-column-gap: 284px;
            grid-template-columns: 692px 264px;
        }
    }
}


.offers-item {
    font-size: size-rel(12px);
    line-height: size-rel(22px);

    &__media {
        overflow: hidden;
        position: relative;
    }

    &__toggle {
        top: 24px;
        left: 16px;
        margin: 0;
        z-index: 50;
        cursor: pointer;
        color: $accent;
        background: #fff;
        padding: 4px 12px;
        border-radius: 4px;
        position: absolute;
        white-space: nowrap;
        display: inline-block;
        font-size: size-rel(12px);
        line-height: size-rel(22px);
        border: 1px solid #F5F5F5;

        &:before {
            content: 'карта';
        }
    }

    &__image {
        width: 100%;
        z-index: 10;
        overflow: hidden;
        position: relative;

        &--wrap {
            margin: 0 -40px;
        }
    }

    &__map {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        display: block;
        position: absolute;
        opacity: 0;
        visibility: hidden;
        background: $accent;
    }

    &__content {
        padding-top: 16px;
    }

    &__header {
        margin-bottom: 8px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__title {
        color: $accent;
        font-weight: 600;
        font-size: 20px;
        line-height: 32px;
    }

    &__status {
        content: $secondary;
    }

    &__location {
        font-weight: 500;
        font-size: size-rel(12px);
        line-height: size-rel(22px);
        display: flex;
        align-items: center;
        margin-bottom: 8px;
    }

    &__station {
        margin-right: 8px;
        display: flex;
        align-items: center;

        &--icon {
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            margin-right: 8px;
        }
    }

    &__distance {
        display: flex;
        align-items: center;
        color: rgba(45, 47, 51, 0.6);
        font-size: size-rel(12px);
        line-height: size-rel(22px);


        &--icon {
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            margin-right: 4px;
        }
    }

    &__info {
        display: flex;
        align-items: center;
    }

    &__price {
        margin-right: 12px;
        font-weight: 500;
        font-size: size-rel(14px);
        line-height: size-rel(24px);
    }

    &__available {
        color: rgba(45, 47, 51, 0.6);
    }

    &.map-open {

        .offers-item {

            &__toggle {

                &:before {
                    content: 'скрыть';
                }
            }

            &__map {
                opacity: 1;
                z-index: 30;
                visibility: visible;
            }

            &__title {
                color: $primary;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__image {

            &--wrap {
                margin: 0;
            }
        }

        &__toggle {
            padding: 8px 16px;
            font-size: size-rel(14px);
            line-height: size-rel(22px);
        }
    }

    @include media-breakpoint-up(lg) {

        &__image {

            &--wrap {
                margin: 0 -70px;
            }
        }

        &__toggle {
            display: none;
        }

        &__media {

            &:hover {

                .offers-item__image {
                    opacity: 0;
                    z-index: 1;
                    visibility: hidden;
                    transition: .3s;
                }

                .offers-item__map {
                    opacity: 1;
                    z-index: 30;
                    visibility: visible;
                    transition: .3s;
                }
            }
        }

        &.map-open {

            .offers-item {

                &__toggle {

                    &:before {
                        content: 'скрыть';
                    }
                }

                &__map {
                    opacity: 0;
                    z-index: 1;
                    visibility: hidden;
                }

                &__title {
                    color: $primary;
                }

                &__media {

                    &:hover {

                        .offers-item__image {
                            opacity: 0;
                            z-index: 1;
                            visibility: hidden;
                        }

                        .offers-item__map {
                            opacity: 1;
                            z-index: 30;
                            visibility: visible;
                        }
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(14px);
        line-height: size-rel(24px);

        &__location {
            font-size: size-rel(14px);
            line-height: size-rel(24px);
        }

        &__distance {
            font-size: size-rel(14px);
            line-height: size-rel(24px);
        }

        &__price {
            font-size: size-rel(16px);
            line-height: size-rel(32px);
        }
    }
}
